/*
  camlib.h
*/

#include "k2917.h"

/* COPEN Aliases */
#define CAMOPN     COPEN
#define CAM_Open   COPEN
/* CCLOSE Aliases */
#define CAMCLS     CCLOSE
#define CAM_Close  CCLOSE
/* CAMACL Aliases */
#define CAMAC      CAMACL
/* CENLAM Aloases */
#define CELAM      CAM_EnableLAM
#define CENLAM     CAM_EnableLAM 
/* CDSLAM Aliases */
#define CDLAM      CAM_DisableLAM
#define CDSLAM     CAM_DisableLAM
/* CWTLAM ALiases */
#define CWLAM       CAM_WaitLAM
#define CWTLAM      CAM_WaitLAM


/* Function Prototypes */
int COPEN( void );
int CCLOSE( void );
int CRESET( void );
int CSETBR( int );
int CSETCR( int );
int CGENZ( void );
int CGENC( void );
int CSETI( void );
int CREMI( void );
int CAMACL( int, int *, int *, int * );
int CAMACW( int, short *, int *, int * );
int CAM_EnableLAM( int );
int CAM_DisableAM( void );
int CAM_WaitLAM( int ); 

int CAMRegisterList( int, int, int, int * );
int CAMUnregisterList( int );
int CAMBlockRead( int, int, int * );
