
/*
  camtest.c
*/

#include <stdio.h>
#include <sys/types.h>

#include "camlib.h"

#define CHARLEN 144

int main( int argc, char **argv )
{
  int status,nc;
  char str[CHARLEN],cc[CHARLEN];
  int n=0, a=0, f=0;
  char c;
  int nr,ar,fr,dr;
  int flag=1;
  int data=0, q, x;

  status=COPEN();
  if(status){
    printf("CAMAC Open Failure\n");
    exit(-1);
  }
  CREMI();
  while(1){
    printf("N A F or C, Z, I(set I), R(reset I), Q [%d %d %d] ===>",n,a,f);
    fgets(str,CHARLEN,stdin);
    if(sscanf(str,"%c",&c)==1 &&
       (c=='c' || c=='C') ){   /* Clear */
      flag=0; CGENC();
    }
    else if(c=='z' || c=='Z'){ /* Initialize */
      flag=0; CGENZ();
    }
    else if(c=='i' || c=='I'){ /* Set Inhibit */
      flag=0; CSETI();
    }
    else if(c=='r' || c=='R'){ /* Reset Inhibit */
      flag=0; CREMI();
    }
    else if(c=='q' || c=='Q'){ /* Quit */
      flag=0; break;
    }
    else if((nc=sscanf(str,"%d %d %d",&nr,&ar,&fr))==3){
      n=nr; a=ar; f=fr; flag=1;
    }
    else if(nc==2){
      n=nr; a=ar; flag=1;
    }
    else if(nc==1){
      n=nr; flag=1;
    }
    else{
      flag=1;
    }

    if(flag){
      if(f>=16 && f<24){
	printf("Write Data [%d] ==> ",data);
	fgets(str,CHARLEN,stdin);
	if(sscanf(str,"%d",&dr)==1)
	  data=dr;
      }
      status=CAMAC(NAF(n,a,f),&data,&q,&x);
      printf("ST=%x Q=%d X=%d N=%d A=%d F=%d : Data=%x(%d)\n",
	     status,q,x,n,a,f,data,data);
      printf("----------------------------------------------\n");
    }
  }
  CSETI();
  CCLOSE();
  return 0;
}
